<template>
  <ie-page bg-color="#F6F8FA" :fix-height="true">
    <ie-navbar :title="pageTitle" />
    <view class="h-20"></view>
    <view class="bg-white flex-1 min-h-1">
      <view class="pt-32 px-30 text-30 text-fore-title font-bold">{{ prevData.name }}的刷题详情</view>
      <practice-table :record-id="prevData.recordId" />
    </view>
  </ie-page>
</template>
<script lang="ts" setup>
import practiceTable from '@/pagesStudy/components/practice-table.vue';
import { useTransferPage } from '@/hooks/useTransferPage';
import { useScroll } from '@/hooks/useScroll';

const { prevData } = useTransferPage();
const { scrollTop } = useScroll();

const pageTitle = computed(() => {
  if (scrollTop.value > 45) {
    return `学生刷题详情-${prevData.value.name}`;
  }
  return '学生刷题详情';
});
</script>
<style lang="scss" scoped></style>